# coding: utf-8
require File.expand_path('../lib/couchdb-ruby-server/version.rb', __FILE__)

Gem::Specification.new do |s|
  s.name          = 'couchdb-ruby-server'
  s.version       = CouchdbRubyServer::VERSION
  s.authors       = ['sinm']
  s.email         = 'sinm.sinm@gmail.com'
  s.summary       = 'CouchDB query server to run ruby design docs'
  s.description   = '== CouchDB query server to run ruby design docs'
  s.homepage      = 'https://github.com/sinm/couchdb-ruby-server'
  s.license       = 'MIT'
  s.files         = `git ls-files`.split("\n")
  s.test_files    = `git ls-files -- spec/`.split("\n")
  s.require_paths = ['lib']
  s.bindir        = 'bin'
  s.executables   = `git ls-files -- bin/`.split("\n").map{|f| File.basename(f)}
  # s.extra_rdoc_files = 'README.md'
  # s.rdoc_options  << '--title'    << 'couchdb-ruby-server' <<
  #                      '--main'   << 'README'             <<
  #                      '--markup' << 'markdown'           <<
  #                      '--line-numbers'
  s.add_development_dependency  'bundler',    '~> 1.7'
  s.add_development_dependency  'rake',       '~> 10.1'
  s.add_development_dependency  'minitest',   '~> 4.7'
  s.add_dependency              'argparser',  '~> 2.0'
  s.add_dependency              'oj',         '~> 2.7'
end
